# Uses of Class
com.usatiuk.dhfs.persistence.ChunkDataP

Packages that use ChunkDataP
Package
Description
com.usatiuk.dhfs.persistence

## Uses of ChunkDataP in com.usatiuk.dhfs.persistence

Methods in com.usatiuk.dhfs.persistence that return ChunkDataP
Modifier and Type
Method
Description
`ChunkDataP`
ChunkDataP.Builder.`build()`
`ChunkDataP`
ChunkDataP.Builder.`buildPartial()`
`static ChunkDataP`
ChunkDataP.`getDefaultInstance()`
`ChunkDataP`
ChunkDataP.Builder.`getDefaultInstanceForType()`
`ChunkDataP`
ChunkDataP.`getDefaultInstanceForType()`
`static ChunkDataP`
ChunkDataP.`parseDelimitedFrom(InputStream input)`
`static ChunkDataP`
ChunkDataP.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ChunkDataP`
ChunkDataP.`parseFrom(byte[] data)`
`static ChunkDataP`
ChunkDataP.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ChunkDataP`
ChunkDataP.`parseFrom(com.google.protobuf.ByteString data)`
`static ChunkDataP`
ChunkDataP.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ChunkDataP`
ChunkDataP.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static ChunkDataP`
ChunkDataP.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ChunkDataP`
ChunkDataP.`parseFrom(InputStream input)`
`static ChunkDataP`
ChunkDataP.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ChunkDataP`
ChunkDataP.`parseFrom(ByteBuffer data)`
`static ChunkDataP`
ChunkDataP.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.persistence that return types with arguments of type ChunkDataP
Modifier and Type
Method
Description
`com.google.protobuf.Parser<ChunkDataP>`
ChunkDataP.`getParserForType()`
`static com.google.protobuf.Parser<ChunkDataP>`
ChunkDataP.`parser()`
Methods in com.usatiuk.dhfs.persistence with parameters of type ChunkDataP
Modifier and Type
Method
Description
`ChunkDataP.Builder`
ChunkDataP.Builder.`mergeFrom(ChunkDataP other)`
`static ChunkDataP.Builder`
ChunkDataP.`newBuilder(ChunkDataP prototype)`